package com.global.iop.util.json;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.global.iop.util.json.JSONErrorListener;
import com.global.iop.util.json.JSONReader;
import com.global.iop.util.json.JSONValidator;
import com.global.iop.util.json.StdoutStreamErrorListener;

public class JSONValidatingReader extends JSONReader {
  public static final Object INVALID = new Object();
  
  private JSONValidator validator;
  
  public JSONValidatingReader(JSONValidator validator) {
    this.validator = validator;
  }
  
  public JSONValidatingReader(JSONErrorListener listener) {
    this(new JSONValidator(listener));
  }
  
  public JSONValidatingReader() {
    this((JSONErrorListener)new StdoutStreamErrorListener());
  }
  
  public Object read(String string) {
    if (!this.validator.validate(string))
      return INVALID; 
    return super.read(string);
  }
}
